Beginning with Firefox 4, Macs must have an Intel x86 processor (which you do NOT have; yours is a PPC Mac) and OSX 10.5 or higher

Firefox For Mac 10.5.8
  • System Requirements: Firefox 4Firefox 5Firefox 6Firefox 7Firefox 8

Firefox For Mac 10.5 8 Download

Firefox System Requirements. Firefox 10.0.1. Windows Operating Systems. Windows 2000; Windows XP. Only 32-bit builds of Firefox 10 are supported at this time. 512MB of RAM; 200MB of hard drive space; Mac Operating Systems. Mac OS X 10.5; Mac OS X 10.6; Mac OS X 10.7; Recommended Hardware. Macintosh computer with an Intel x86 processor.

Firefox Per Mac 10.5 8

The good news is that Firefox 3.6.24 still supports OSX 10.4 and Macs with the PPC Mac architecture. The bad news is that support for the Firefox 3.6.x series is likely to end in the first quarter of 2012.

  • System requirements: Firefox 3.6.x
  • Download Firefox 3.6.24: https://www.mozilla.org/en-US/firefox/all-older.html
  • Also see --> http://support.mozilla.com/en-US/kb/Installing+Firefox+on+Mac

Firefox For Mac 10.5 8 Free Download

You can try the third-party product TenFourFox that supports PPC Macs. Firefox 8 version of TenFourFox is available. The product is based on Firefox released versions. All support is provided by the developer, not by this site:

Firefox For Mac 10 5 8 Osx

  • Home page: http://www.floodgap.com/software/tenfourfox/
  • Developer's blog: http://tenfourfox.blogspot.com/
  • VERY IMPORTANT; read this carefully: https://code.google.com/p/tenfourfox/wiki/PluginsNoLongerSupported


If this reply solves your problem, please click 'Solved It' next to this reply when signed-in to the forum.

Coments are closed
Scroll to top